summaryrefslogtreecommitdiff
path: root/test/5.6-lpr.sh
diff options
context:
space:
mode:
authormsweet <msweet@a1ca3aef-8c08-0410-bb20-df032aa958be>2008-04-09 22:42:49 +0000
committermsweet <msweet@a1ca3aef-8c08-0410-bb20-df032aa958be>2008-04-09 22:42:49 +0000
commit839a51c83c61febe8d4c9ba56f6a05fce3d03710 (patch)
treef4a78140580870e06a5d95257d979990e12155ab /test/5.6-lpr.sh
parent50fe720154d2af59cdeeaecf05cc868530e16248 (diff)
downloadcups-839a51c83c61febe8d4c9ba56f6a05fce3d03710.tar.gz
Merge changes from CUPS 1.4svn-r7394.
git-svn-id: svn+ssh://src.apple.com/svn/cups/easysw/current@702 a1ca3aef-8c08-0410-bb20-df032aa958be
Diffstat (limited to 'test/5.6-lpr.sh')
-rw-r--r--test/5.6-lpr.sh30
1 files changed, 23 insertions, 7 deletions
diff --git a/test/5.6-lpr.sh b/test/5.6-lpr.sh
index 1de750fac..a1fe01d35 100644
--- a/test/5.6-lpr.sh
+++ b/test/5.6-lpr.sh
@@ -4,7 +4,7 @@
#
# Test the lpr command.
#
-# Copyright 2007 by Apple Inc.
+# Copyright 2007-2008 by Apple Inc.
# Copyright 1997-2005 by Easy Software Products, all rights reserved.
#
# These coded instructions, statements, and computer programs are the
@@ -16,8 +16,8 @@
echo "LPR Default Test"
echo ""
-echo " lpr testfile.jpg"
-../berkeley/lpr testfile.jpg 2>&1
+echo " lpr testfile.pdf"
+../berkeley/lpr testfile.pdf 2>&1
if test $? != 0; then
echo " FAILED"
exit 1
@@ -28,8 +28,20 @@ echo ""
echo "LPR Destination Test"
echo ""
-echo " lpr -P Test1 testfile.jpg"
-../berkeley/lpr -P Test1 testfile.jpg 2>&1
+echo " lpr -P Test2 testfile.jpg"
+../berkeley/lpr -P Test2 testfile.jpg 2>&1
+if test $? != 0; then
+ echo " FAILED"
+ exit 1
+else
+ echo " PASSED"
+fi
+echo ""
+
+echo "LPR Options Test"
+echo ""
+echo " lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf"
+../berkeley/lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf 2>&1
if test $? != 0; then
echo " FAILED"
exit 1
@@ -38,13 +50,15 @@ else
fi
echo ""
-echo "LPR Flood Test"
+echo "LPR Flood Test ($1 times in parallel)"
echo ""
-echo " lpr -P Test1 testfile.jpg ($1 times in parallel)"
+echo " lpr -P Test1 testfile.jpg"
+echo " lpr -P Test2 testfile.jpg"
i=0
while test $i -lt $1; do
echo " flood copy $i..." 1>&2
../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
+ ../berkeley/lpr -P Test2 testfile.jpg 2>&1 &
lprpid=$!
i=`expr $i + 1`
done
@@ -57,6 +71,8 @@ else
fi
echo ""
+./waitjobs.sh
+
#
# End of "$Id: 5.6-lpr.sh 6649 2007-07-11 21:46:42Z mike $".
#